import { AfterViewInit } from '@angular/core';
import 'prismjs';
export declare class PrismComponent implements AfterViewInit {
    private async;
    private callback?;
    language: string;
    constructor();
    ngAfterViewInit(): void;
    /**
     * Low-level function, only use if you know what you’re doing. It accepts a string of text as input and the
     * language definitions to use, and returns a string with the HTML produced.
     * @param {*} element
     * @param {boolean} async
     * @param {((element: Element) => void | undefined)} [callback]
     * @memberof PrismComponent
     */
    highlightElement(element: any, async: boolean, callback?: (element: Element) => void | undefined): void;
    /**
     * This is the most high-level function in Prism’s API. It fetches all the elements that have a .language-xxxx
     * class and then calls Prism.highlightElement() on each one of them.
     * @param {boolean} async
     * @param {((element: Element) => void | undefined)} [callback]
     * @memberof PrismComponent
     */
    highlightAll(async: boolean, callback?: (element: Element) => void | undefined): void;
}
