// external
import { Component, Input, ViewEncapsulation } from '@angular/core';
import 'prismjs';
// internal
import template from './prism.component.html';
var PrismComponent = (function () {
    function PrismComponent() {
        this.async = false;
        this.callback = undefined;
    }
    PrismComponent.prototype.ngAfterViewInit = function () {
        this.highlightAll(this.async, this.callback);
    };
    /**
     * Low-level function, only use if you know what you’re doing. It accepts a string of text as input and the
     * language definitions to use, and returns a string with the HTML produced.
     * @param {*} element
     * @param {boolean} async
     * @param {((element: Element) => void | undefined)} [callback]
     * @memberof PrismComponent
     */
    PrismComponent.prototype.highlightElement = function (element, async, callback) {
        Prism.highlightElement(element, async, callback);
    };
    /**
     * This is the most high-level function in Prism’s API. It fetches all the elements that have a .language-xxxx
     * class and then calls Prism.highlightElement() on each one of them.
     * @param {boolean} async
     * @param {((element: Element) => void | undefined)} [callback]
     * @memberof PrismComponent
     */
    PrismComponent.prototype.highlightAll = function (async, callback) {
        Prism.highlightAll(async, callback);
    };
    return PrismComponent;
}());
export { PrismComponent };
PrismComponent.decorators = [
    { type: Component, args: [{
                encapsulation: ViewEncapsulation.None,
                selector: 'prism-highlight',
                template: template
            },] },
];
/** @nocollapse */
PrismComponent.ctorParameters = function () { return []; };
PrismComponent.propDecorators = {
    'async': [{ type: Input, args: ['async',] },],
    'callback': [{ type: Input, args: ['callback',] },],
    'language': [{ type: Input, args: ['language',] },],
};
//# sourceMappingURL=prism.component.js.map